<template>
  <section id="team">
    <div class="heading">
      <h1><b>TEAM</b></h1>
      <p class="text-center">
        Magnam dolores commodi suscipit. Necessitatibus eius consequatur ex
        aliquid fuga eum quidem. Sit sint consectetur velit. Quisquam quos
        quisquam cupiditate. Et nemo qui impedit suscipit alias ea. Quia fugiat
        sit in iste officiis commodi quidem hic quas.
      </p>
    </div>
    <el-container>
      <el-row gutter="20" class="total-cards">
        <el-col :lg="12" :xs="24" :sm="24" :md="12">
          <el-card class="card">
            <div class="card-data">
              <div>
                <img
                  src="@/assets/images/team-1.jpg"
                  alt="team-member"
                  class="team-img img-fluid"
                />
              </div>
              <div class="card-body">
                <h5 class="card-title"><b>Walter White</b></h5>
                <h6>Chief Executive Officer</h6>
                <p class="card-text">
                  Explicabo voluptatem mollitia et repellat qui dolorum quasi
                </p>
                <div class="social-icons">
                  <img
                    class="img-icon image-fluid"
                    alt="twitter"
                    src="@/assets/images/twitter.png"
                  />
                  <img
                    class="img-icon image-fluid"
                    alt="facebook"
                    src="@/assets/images/facebook.png"
                  />
                  <img
                    class="img-icon image-fluid"
                    alt="instagram"
                    src="@/assets/images/instagram.png"
                  />
                  <img
                    class="img-icon image-fluid"
                    alt="linkedin"
                    src="@/assets/images/linkedin.png"
                  />
                </div>
              </div>
            </div>
          </el-card>
        </el-col>
        <el-col :lg="12" :xs="24" :sm="24" :md="12">
          <el-card class="card">
            <div class="card-data">
              <div>
                <img
                  src="@/assets/images/team-2.jpg"
                  alt="team-member"
                  class="team-img img-fluid"
                />
              </div>
              <div class="card-body">
                <h5 class="card-title"><b>Sarah Jhonson</b></h5>
                <h6>Product Manager</h6>
                <p class="card-text">
                  Aut maiores voluptates amet et quis praesentium qui senda para
                </p>
                <div class="social-icons">
                  <img
                    class="img-icon image-fluid"
                    alt="twitter"
                    src="@/assets/images/twitter.png"
                  />
                  <img
                    class="img-icon image-fluid"
                    alt="facebook"
                    src="@/assets/images/facebook.png"
                  />
                  <img
                    class="img-icon image-fluid"
                    alt="instagram"
                    src="@/assets/images/instagram.png"
                  />
                  <img
                    class="img-icon image-fluid"
                    alt="linkedin"
                    src="@/assets/images/linkedin.png"
                  />
                </div>
              </div>
            </div>
          </el-card>
        </el-col>
        <el-col :lg="12" :xs="24" :sm="24" :md="12">
          <el-card class="card">
            <div class="card-data">
              <div>
                <img
                  src="@/assets/images/team-3.jpg"
                  alt="team-member"
                  class="team-img img-fluid"
                />
              </div>
              <div class="card-body">
                <h5 class="card-title"><b>William Anderson</b></h5>
                <h6>CTO</h6>
                <p class="card-text">
                  Quisquam facilis cum velit laborum corrupti fuga rerum quia
                </p>
                <div class="social-icons">
                  <img
                    class="img-icon image-fluid"
                    alt="twitter"
                    src="@/assets/images/twitter.png"
                  />
                  <img
                    class="img-icon image-fluid"
                    alt="facebook"
                    src="@/assets/images/facebook.png"
                  />
                  <img
                    class="img-icon image-fluid"
                    alt="instagram"
                    src="@/assets/images/instagram.png"
                  />
                  <img
                    class="img-icon image-fluid"
                    alt="linkedin"
                    src="@/assets/images/linkedin.png"
                  />
                </div>
              </div>
            </div>
          </el-card>
        </el-col>
        <el-col :lg="12" :xs="24" :sm="24" :md="12">
          <el-card class="card">
            <div class="card-data">
              <div>
                <img
                  src="@/assets/images/team-4.jpg"
                  alt="team-member"
                  class="team-img img-fluid"
                />
              </div>
              <div class="card-body">
                <h5 class="card-title"><b>Amanda Jepson</b></h5>
                <h6>Accountant</h6>
                <p class="card-text">
                  Dolorum tempora officiis odit laborum officiis et et accusamus
                </p>
                <div class="social-icons">
                  <img
                    class="img-icon image-fluid"
                    alt="twitter"
                    src="@/assets/images/twitter.png"
                  />
                  <img
                    class="img-icon image-fluid"
                    alt="facebook"
                    src="@/assets/images/facebook.png"
                  />
                  <img
                    class="img-icon image-fluid"
                    alt="instagram"
                    src="@/assets/images/instagram.png"
                  />
                  <img
                    class="img-icon image-fluid"
                    alt="linkedin"
                    src="@/assets/images/linkedin.png"
                  />
                </div>
              </div>
            </div>
          </el-card>
        </el-col>
      </el-row>
    </el-container>
  </section>
</template>
<script>
export default {
  data() {
    return {};
  },
};
</script>
<style lang="scss">
#team {
  padding: 2% 5%;
  background-color: #f3f5fa;
  .heading {
    h1 {
      color: #37517e;
      text-align: center;
      font-size: 30px;
    }
  }

  .card {
    transition: 0.3s;
    margin-bottom: 1.5rem;
    .card-data {
      display: flex;
      align-items: center;
      .team-img {
        width: 150px;
        border-radius: 50%;
        padding: 20px;
      }
      .card-body {
        h6 {
          font-size: 1rem;
          margin: 0;
          color: #444;
          text-align: left;
        }
        p {
          color: #444;
          text-align: left;
        }
        h5 {
          margin-bottom: 0.5rem;
          font-size: 1.3rem;
          color: #37517e;
          text-align: left;
        }
        .social-icons {
          text-align: left;
        }
        .img-icon {
          border-radius: 50%;
          margin: 0.5rem;
        }
        .img-icon:hover {
          opacity: 0.5;
          cursor: pointer;
        }
      }
    }
  }
  .card:hover {
    transform: translate(0, -10px);
  }
}

@media only screen and (min-width: 320px) and (max-width: 767px) {
  #team {
    padding: 0;
    .total-cards {
      padding: 0;
      .card {
        width: 100%;
        .card-data {
          .team-img {
            width: 100px;
            margin-bottom: 50px;
          }
          h5 {
            margin: 0;
            font-size: 20px;
          }
          h6 {
            margin: 0;
            font-size: 15px;
          }
          p {
            margin-top: 15px;
          }
        }
      }
    }
  }
}

@media screen and (min-width: 768px) and (max-width: 991px) {
  #team {
    padding: 2% 5%;
    background-color: #f3f5fa;
    .heading {
      h1 {
        color: #37517e;
        text-align: center;
        font-size: 30px;
      }
    }

    .card {
      transition: 0.3s;
      margin-bottom: 1.5rem;
      .card-data {
        display: flex;
        align-items: center;
        .team-img {
          width: 200px;
          border-radius: 50%;
          padding: 20px;
        }
        .card-body {
          h6 {
            font-size: 1rem;
            margin: 0;
            color: #444;
            text-align: left;
          }
          p {
            color: #444;
            text-align: left;
          }
          h5 {
            margin-bottom: 0.5rem;
            font-size: 1.3rem;
            color: #37517e;
            text-align: left;
          }
          .social-icons {
            text-align: left;
          }
          .img-icon {
            border-radius: 50%;
            margin: 0.5rem;
          }
          .img-icon:hover {
            opacity: 0.5;
            cursor: pointer;
          }
        }
      }
    }
    .card:hover {
      transform: translate(0, -10px);
    }
  }
}
@media only screen and (min-width: 992px) and (max-width: 1200px) {
  #team {
    padding: 0;
    .total-cards {
      padding: 0;
      .card {
        width: 100%;
        .card-data {
          .team-img {
            width: 100px;
            margin-bottom: 50px;
          }
          h5 {
            margin: 0;
            font-size: 20px;
          }
          h6 {
            margin: 0;
            font-size: 15px;
          }
          p {
            margin-top: 15px;
          }
        }
      }
    }
  }
}
</style>
